package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.DictEntity;
import com.blueland.bo.ParameterEntity;
import com.blueland.model.TPfParameter;

import java.util.List;
import java.util.Map;

/**
 * @auther xcy
 * @create 2022-05-09 14:43
 */
public interface IParameterService extends IService<TPfParameter> {

    Page<ParameterEntity> findPageList(Map<String, Object> queryParams, int parseInt, int parseInt2);

    Page<ParameterEntity> parameterListPage(Map<String, Object> queryParams, int curPageSize, int curPage);

    ParameterEntity getBykey(String key);

    String getValueByKey(String key);

    ParameterEntity getObj(ParameterEntity obj);

    TPfParameter get(ParameterEntity bo);

    Page<ParameterEntity> findPage(ParameterEntity bo);

    List<ParameterEntity> findList(ParameterEntity bo);

    /**
     * 根据key查询配置
     * @param keys
     * @return
     */
    List<TPfParameter> selectConfigByKey(List<String> keys);

    /**
     * 根据value查询配置
     * @param values
     * @return
     */
    List<TPfParameter> selectConfigByValue(List<String> values);
}
